Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl --request PATCH \
--url https://api.supaqr.com/links/bulk \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"linkIds": [
"<string>"
],
"updateData": {
"data": {
"url": "https://example.com"
},
"linkOptions": {
"domain": "iqr.im",
"key": "<string>",
"tags": [
"tagId"
],
"comment": "<string>",
"password": "<string>",
"expiration": {
"time": "2025-12-31T23:59:59Z",
"url": "https://example.com"
},
"utm": {
"source": "google",
"medium": "cpc",
"campaign": "menu",
"term": "pizza",
"content": "menu QR code",
"ref": "yoursite.com"
},
"option": {
"isWaterMark": false,
"watermarkText": "supaqr",
"isScreenshotProtected": false
},
"previewData": {
"title": "SupaQR",
"desc": "Create Your Free Custom Dynamic QR Codes for link, images or PDF files",
"image": "https://example.com/abc.png"
},
"Targeting": {
"targetType": "device",
"targetDatas": {
"ios": "https://example.com",
"android": "https://example.com"
}
}
},
"qrOptions": {
"correctLevel": 2,
"space": 2,
"version": -1,
"frame": {
"value": "https://file.supaqr.com/example.png",
"options": {
"code_rect": [
100
]
},
"add_texts": [
{
"pos": [
2
],
"color": "#FFFFFF",
"size": 100,
"content": "<string>",
"prefix": "<string>"
}
]
},
"patterns": {
"background": {
"type": "single",
"value": "#000000"
},
"body": {
"style_id": "Simple",
"type": "single",
"value": "#000000",
"direction": "Horizontal"
},
"eye": {
"style_id": "1",
"value": "#000000",
"type": "same",
"direction": "Horizontal"
}
},
"logo": {
"value": "<string>",
"location": "Center",
"shape": "Squared",
"size": 2,
"hasBackground": true,
"shadow": false
}
}
}
}
'import requests
url = "https://api.supaqr.com/links/bulk"
payload = {
"linkIds": ["<string>"],
"updateData": {
"data": { "url": "https://example.com" },
"linkOptions": {
"domain": "iqr.im",
"key": "<string>",
"tags": ["tagId"],
"comment": "<string>",
"password": "<string>",
"expiration": {
"time": "2025-12-31T23:59:59Z",
"url": "https://example.com"
},
"utm": {
"source": "google",
"medium": "cpc",
"campaign": "menu",
"term": "pizza",
"content": "menu QR code",
"ref": "yoursite.com"
},
"option": {
"isWaterMark": False,
"watermarkText": "supaqr",
"isScreenshotProtected": False
},
"previewData": {
"title": "SupaQR",
"desc": "Create Your Free Custom Dynamic QR Codes for link, images or PDF files",
"image": "https://example.com/abc.png"
},
"Targeting": {
"targetType": "device",
"targetDatas": {
"ios": "https://example.com",
"android": "https://example.com"
}
}
},
"qrOptions": {
"correctLevel": 2,
"space": 2,
"version": -1,
"frame": {
"value": "https://file.supaqr.com/example.png",
"options": { "code_rect": [100] },
"add_texts": [
{
"pos": [2],
"color": "#FFFFFF",
"size": 100,
"content": "<string>",
"prefix": "<string>"
}
]
},
"patterns": {
"background": {
"type": "single",
"value": "#000000"
},
"body": {
"style_id": "Simple",
"type": "single",
"value": "#000000",
"direction": "Horizontal"
},
"eye": {
"style_id": "1",
"value": "#000000",
"type": "same",
"direction": "Horizontal"
}
},
"logo": {
"value": "<string>",
"location": "Center",
"shape": "Squared",
"size": 2,
"hasBackground": True,
"shadow": False
}
}
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
linkIds: ['<string>'],
updateData: {
data: {url: 'https://example.com'},
linkOptions: {
domain: 'iqr.im',
key: '<string>',
tags: ['tagId'],
comment: '<string>',
password: '<string>',
expiration: {time: '2025-12-31T23:59:59Z', url: 'https://example.com'},
utm: {
source: 'google',
medium: 'cpc',
campaign: 'menu',
term: 'pizza',
content: 'menu QR code',
ref: 'yoursite.com'
},
option: {isWaterMark: false, watermarkText: 'supaqr', isScreenshotProtected: false},
previewData: {
title: 'SupaQR',
desc: 'Create Your Free Custom Dynamic QR Codes for link, images or PDF files',
image: 'https://example.com/abc.png'
},
Targeting: {
targetType: 'device',
targetDatas: {ios: 'https://example.com', android: 'https://example.com'}
}
},
qrOptions: {
correctLevel: 2,
space: 2,
version: -1,
frame: {
value: 'https://file.supaqr.com/example.png',
options: {code_rect: [100]},
add_texts: [
{pos: [2], color: '#FFFFFF', size: 100, content: '<string>', prefix: '<string>'}
]
},
patterns: {
background: {type: 'single', value: '#000000'},
body: JSON.stringify({style_id: 'Simple', type: 'single', value: '#000000', direction: 'Horizontal'}),
eye: {style_id: '1', value: '#000000', type: 'same', direction: 'Horizontal'}
},
logo: {
value: '<string>',
location: 'Center',
shape: 'Squared',
size: 2,
hasBackground: true,
shadow: false
}
}
}
})
};
fetch('https://api.supaqr.com/links/bulk', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"code": "bad_request",
"message": "<string>"
}{
"code": "unauthorized",
"message": "<string>"
}{
"code": "forbidden",
"message": "<string>"
}{
"code": "not_found",
"message": "<string>"
}{
"code": "record_gone",
"message": "<string>"
}{
"code": "parameter_error",
"message": "<string>"
}{
"code": "rate_limit_exceeded",
"message": "<string>"
}{
"code": "internal_server_error",
"message": "<string>"
}Bulk update up to 100 links(QR codes). If updateData.data is not empty, all links(QR codes) specified in the linkIds array must share the same linkType.
